<div style="display: flex; justify-content: center; margin-bottom: 15px">
  <input type="text" ng-model="searchTerm" class="form-control input-sm" placeholder="Filtern..." />
</div>

<table class="table table-condensed table-bordered">
  <thead>
    <tr>
      <th>Lieferant
        <div class="btn  btn-xs" ng-click="addNonperishable()"><i class="fa fa-plus-circle"></i></div>
      </th>
      <th>
        Name
      </th>
      <th>Preis</th>
      <th>Einheit</th>
      <th>Verändert am</th>
      <th>
        <i id="file" tooltip-append-to-body="true"
          uib-tooltip="Um eine Zeile der Tabelle von der Übernahme auszuschließen, muss vor oder nach dem Preis ein Buchstabe z.B. x eingefügt werden, sodass diese Zelle keine gültige Zahl mehr darstellt."
          ng-click="document.getElementById('excel-file').click();" style="position:absolute;"
          class="btn btn-default fa fa-upload">
        </i>
        <input type="file" id="excel-file" style="opacity:0; z-index:1; width: 4ex; height: 1.3em;" />
      </th>
    </tr>
  </thead>
  <tbody>
    <tr ng-repeat="nonperishable in nonperishables | filter:fuzzy(searchTerm,['supplier', 'name']) track by $index">
      <td>
        <input type="text" ng-model="nonperishable.supplier" ng-model-options='{ debounce: 250 }'
          ng-change="nonperishable.$update()" class="form-control input-sm" />
      </td>
      <td>
        <input type="text" ng-model="nonperishable.name" ng-model-options='{ debounce: 250 }'
          ng-change="nonperishable.$update()" class="form-control input-sm" />
      </td>
      <td>
        <input type="text" ng-model-options='{ debounce: 250 }' ng-pattern-restrict="^-{0,1}\d{0,4},{0,1}\d{0,2}$"
          german-number ng-model="nonperishable.pricePerQuantity" ng-change="nonperishable.$update()"
          class="form-control input-sm" />
      </td>
      <td>
        <input type="text" ng-model="nonperishable.unit" ng-model-options='{ debounce: 250 }'
          ng-change="nonperishable.$update()" class="form-control input-sm" />
      </td>
      <td>
        {{germanDate(nonperishable.updatedAt)}}
      </td>
      <td colspan="3" ng-confirm-delete="{{nonperishable.name}}"
        confirmed-delete="delete(nonperishable,nonperishables,$index)"><i class="btn fa fa-trash-o" /></td>
    </tr>
  </tbody>
</table>